## org.hibernate.cache
Class SwarmCacheProvider

    java.lang.Object
      org.hibernate.cache.SwarmCacheProvider

All Implemented Interfaces:
  CacheProvider

    public class SwarmCacheProvider

extends Object
implements CacheProvider

Support for SwarmCache replicated cache. SwarmCache does not support locking, so strict "read-write" semantics are unsupported.

Author:
  Jason Carreira

Constructor Summary
`SwarmCacheProvider()`

Method Summary
`Cache` `buildCache(String regionName, Properties properties)` Configure the cache
`boolean` `isMinimalPutsEnabledByDefault()`
`long` `nextTimestamp()` Generate a timestamp
`void` `start(Properties properties)` Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.
`void` `stop()` Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwarmCacheProvider

    public SwarmCacheProvider()

Method Detail

### buildCache

    public Cache buildCache(String regionName,
                            Properties properties)
                     throws CacheException

  Description copied from interface: `CacheProvider`
  Configure the cache

  Specified by:
    `buildCache` in interface `CacheProvider`
  Parameters:
    `regionName` - the name of the cache region
    `properties` - configuration settings
  Throws:
    `CacheException`

### nextTimestamp

    public long nextTimestamp()

  Description copied from interface: `CacheProvider`
  Generate a timestamp

  Specified by:
    `nextTimestamp` in interface `CacheProvider`

### start

    public void start(Properties properties)
               throws CacheException

  Callback to perform any necessary initialization of the underlying cache implementation during SessionFactory construction.

  Specified by:
    `start` in interface `CacheProvider`
  Parameters:
    `properties` - current configuration settings.
  Throws:
    `CacheException`

### stop

    public void stop()

  Callback to perform any necessary cleanup of the underlying cache implementation during SessionFactory.close().

  Specified by:
    `stop` in interface `CacheProvider`

### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

  Specified by:
    `isMinimalPutsEnabledByDefault` in interface `CacheProvider`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.